Subject: Re: [mpls] MPLS-RT review of draft-esale-mpls-ldp-rmr-extensions-02

From: Santosh Easale <[email-masked]>
Date: Sun, 4 Nov 2018 20:35:34 +0000

Hi Huub, 
               Thank you for reviewing. We have addressed your comments in 01 version that will be posted shortly.
                      
Regards,
Santosh
On 6/18/18, 2:39 AM, "Huub van Helvoort" <[email-masked]> wrote:

    All,
    
    I am one of the selected MPLS-RT reviewers 
    for draft-esale-mpls-ldp-rmr-extensions.
    This draft is currently a candidate for MPLS WG adoption.
    
    The draft describes extensions required to LDP for signalling resilient 
    MPLS ring LSPs
    to be used in the RMR architecture described in draft-ietf-mpls-rmr.
    
    The described extensions to LDP, and their operation, are written 
    clearly enough for
    WG input and review. I think wider WG review will enhance the description.
    
    My opinion is that the current draft is ready for WG adoption.
    
    I have a few nits that can be addressed before or after adoption.
    
    In section 4.2.2, the section begins:
    
        A node X wishing to participate in LDP RMR signaling SHOULD negotiate
        the RMR capability with all its neighbors.
    
    IMHO the SHOULD should be a MUST.
    
    The same remark for the last paragraph in section 4.2.3.
    
        When the node is no longer part of the ring, it SHOULD tear down its
        egress LSPs - CW and AC - by sending a label withdraw message.
    
    The links in figures 1 and 3 should be drawn more clearly.
    In figure 3. there are two nodes R9.
    
    Cheers, Huub.
    
    -- 
    ================================================================
    Always remember that you are unique...just like everyone else...